# Interface ThreadInfo

All Known Implementing Classes:
  `ThreadInfoImpl`

public interface ThreadInfo

Version:
  $Revision: 674365 $

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurrentThreadCount()`
`int`
`getCurrentThreadsBusy()`
`int`
`getMaxSpareThreads()`
`int`
`getMaxThreads()`
`int`
`getMinSpareThreads()`
`void`
`setCurrentThreadCount(int value)`
`void`
`setCurrentThreadsBusy(int value)`
`void`
`setMaxSpareThreads(int value)`
`void`
`setMaxThreads(int value)`
`void`
`setMinSpareThreads(int value)`

## Method Details

### getMaxSpareThreads

int getMaxSpareThreads()

### setMaxSpareThreads

void setMaxSpareThreads(int value)

### getMinSpareThreads

int getMinSpareThreads()

### setMinSpareThreads

void setMinSpareThreads(int value)

### getMaxThreads

int getMaxThreads()

### setMaxThreads

void setMaxThreads(int value)

### getCurrentThreadsBusy

int getCurrentThreadsBusy()

### setCurrentThreadsBusy

void setCurrentThreadsBusy(int value)

### getCurrentThreadCount

int getCurrentThreadCount()

### setCurrentThreadCount

void setCurrentThreadCount(int value)